JPYLYZER(1)

NAME
jpylyzer - JP2 (JPEG 2000 Part 1) image validator and properties extractor.

SYNOPSIS
jpylyzer [options] [jp2In]

DESCRIPTION
JP2 (JPEG 2000 Part 1) image validator and properties extractor
    (C) National Library of the Netherlands / Open Preservation Foundation

OPTIONS

-h, --help
    Show this help message and exit

--format FMT, -f FMT
    Validation format; allowed values: jp2, j2c (default: jp2)

--mix {1,2}
    Report additional output in NISO MIX format (version 1.0 or 2.0)

--legacyout, -l
    Report output in jpylyzer 1.x format (provided for backward compatibility only)

--nopretty
    Suppress pretty-printing of XML output

--nullxml
    Extract null-terminated XML content from XML and UUID boxes(doesn't affect validation)

--recurse, -r
    When analysing a directory, recurse into subdirectories (implies --wrapper)

--verbose
    Report test results in verbose format

-v, --version
    Show program's version number and exit

--wrapper, -w
    Wrap output for individual image(s) in 'results' XML element (deprecated in jpylyzer 2.x, only takes effect if --legacyout is used)

ARGUMENTS

jp2In
    Input JP2 image(s), may be one or more (whitespace-separated) path expressions; prefix wildcard (*) with backslash.

BUGS
Please report bugs at https://github.com/openpreserve/jpylyzer/issues.

AUTHORS
jpylyzer was written by Johan van der Knijff <Johan.vanderKnijff@kb.nl> and others.

This manual page was written by Rui Castro <rcastro@keep.pt>.

COPYRIGHT
This program is free software; you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version.

On Debian GNU/Linux systems, the complete text of the GNU Lesser General Public License can be found in '/usr/share/common-licenses/LGPL-3'.